from parallels.common.registry import Registry
from parallels.common.actions.backup.create_converted import CreateConverted


class CustomPanelCreateConverted(CreateConverted):
	@staticmethod
	def _get_raw_backup_filename(backup_id):
		return Registry.get_instance().get_context().conn.get_source_backup_path(backup_id)